=== debian/control ===
Source: mupen64plus-video-arachnoid
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-arachnoid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-arachnoid.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libmupen64plus-dev,
 pkg-config,

Package: mupen64plus-video-arachnoid
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-video-abi-1,
Provides:
 mupen64plus-video,
Description: Arachnoid high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on OpenGL, but
 works completely without vertex and pixel shaders. This makes it a good choice
 for older graphics hardware.
 .
 Arachnoid is based on a GPLv2+ fork of the glN64 source code.

Package: mupen64plus-video-arachnoid-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-video-arachnoid (= ${binary:Version}),
Description: Arachnoid graphics hle for mupen64plus debug symbols package
 High-level graphics emulation plugin for known microcodes based on OpenGL, but
 works completely without vertex and pixel shaders. This makes it a good choice
 for older graphics hardware.
 .
 This package contains the debug files.
