=== debian/watch ===
version=3

http://bitbucket.org/wahrhaft/mupen64plus-video-arachnoid/downloads/ \
	/wahrhaft/mupen64plus-video-arachnoid/downloads/mupen64plus-video-arachnoid-src-(.*).tar.gz
