=== debian/changelog ===
mupen64plus-video-arachnoid (1.99.4+38+4c27074013b8-1) experimental; urgency=low

  * New upstream snapshot from revision 4c27074013b88d687367c399b3ccb4c0ecf9878b
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:48:32 +0100

mupen64plus-video-arachnoid (1.99.4+33+6bb944b2f66e-1) experimental; urgency=low

  * New upstream snapshot from revision 6bb944b2f66eb611972c5b8419341f8fcc886970
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * debian/patches:
    - Remove upstream merged patches array_bounds.patch, mipmapping.patch,
      rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:06:38 +0200
