=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  dpkg-dev (>= 1.16.0),
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- libmupen64plus-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
  pkg-config,
 
 Package: mupen64plus-video-arachnoid
@@ -24,7 +24,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-video-abi-1,
+ mupen64plus-video-abi-2,
 Provides:
  mupen64plus-video,
 Description: Arachnoid high-level graphics emulation for mupen64plus
