=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-LDFLAGS += -Wl,--as-needed
-
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 MAKEOPTIONS = V=1 UNAME='$(DEB_HOST_ARCH_OS)' HOST_CPU='$(DEB_HOST_GNU_CPU)' APIDIR=/usr/include/mupen64plus/ DEBUG=1 PREFIX=/usr/ LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" PIC=1 OPTFLAGS=""
@@ -20,7 +17,7 @@
 	dh $@ --sourcedirectory="projects/unix" --parallel --list-missing
 
 get-orig-source:
-	uscan --verbose --force-download
+	$(CURDIR)/debian/get-orig-source.sh
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKEOPTIONS)
