## mupen64plus-video-arachnoid 1.99.4+39+ada2d63714fd

=== debian/changelog ===
mupen64plus-video-arachnoid (1.99.4+39+ada2d63714fd-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization
    - Add unused_glu.patch, Remove unused dependency to GLU

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:18:50 +0200

mupen64plus-video-arachnoid (1.99.4+39+ada2d63714fd-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:23:18 +0200

mupen64plus-video-arachnoid (1.99.4+39+ada2d63714fd-1) unstable; urgency=low

  * New upstream snapshot from revision ada2d63714fdae0e9c71202c576071aad944df44
  * Update copyright years in debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:36 +0100
