## mupen64plus-video-arachnoid 1.99.5

=== projects/unix/Makefile ===
--- 
+++ 
@@ -120,12 +120,9 @@
   ifeq ($(shell pkg-config --modversion gl 2>/dev/null),)
     $(error No OpenGL development libraries found!)
   endif
-  ifeq ($(shell pkg-config --modversion glu 2>/dev/null),)
-    $(error No OpenGL utility development libraries found!)
-  endif
-
-  CFLAGS += -pthread $(shell pkg-config --cflags gl glu)
-  LDLIBS += -pthread $(shell pkg-config --libs gl glu)
+
+  CFLAGS += -pthread $(shell pkg-config --cflags gl)
+  LDLIBS += -pthread $(shell pkg-config --libs gl)
 endif
 ifeq ($(OS), LINUX)
   LDLIBS += -ldl 
@@ -317,6 +314,7 @@
 	@echo "    DESTDIR=path  == path to prepend to all installation paths (only for packagers)"
 	@echo "  Debugging Options:"
 	@echo "    DEBUG=1       == add debugging symbols"
+	@echo "    LTO=1         == enable experimental build with link-time optimization"
 	@echo "    V=1           == show verbose compiler output"
 
 all: $(TARGET)
@@ -337,6 +335,11 @@
 -include $(OBJECTS:.o=.d)
 
 CXXFLAGS += $(CFLAGS)
+ifeq ($(LTO), 1)
+  CFLAGS += -flto
+  CXXFLAGS += -flto
+  LDFLAGS += -fuse-linker-plugin $(CXXFLAGS)
+endif
 
 # standard build rules
 $(OBJDIR)/%.o: $(SRCDIR)/%.c
