=== debian/changelog ===
mupen64plus-video-arachnoid (2.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key E05E608A04EF22F7596B

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2013 01:31:51 +0200

mupen64plus-video-arachnoid (1.99.5+22+711f2d8cbdcd-1) experimental; urgency=low

  * New Upstream Snapshot from 711f2d8cbdcd3bc1eb58891220494d411c5c3cdb
  * Enable link-time optimization in debian/rules similar to upstream
  * debian/control:
    - Depend on mupen64plus-vidext-abi-3
    - Depend on mupen64plus-gfx-abi-2.2
    - Depend on mupen64plus-dev >= 1.99.5+207+cbb5cbe2d4fc

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:26:19 +0200

mupen64plus-video-arachnoid (1.99.5+17+d1dc3118f220-1) experimental; urgency=low

  * New upstream snapshot from revision d1dc3118f220ee7c8beabe6224bd648143f1b01a
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:16:16 +0100

mupen64plus-video-arachnoid (1.99.5+4+28e9cf4a672f-1) experimental; urgency=low

  * New upstream snapshot from revision 28e9cf4a672fbba30f393a1c99990c9ed4f6817f
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:34:08 +0100

mupen64plus-video-arachnoid (1.99.5-2) unstable; urgency=low

  * Upload to unstable
  * Remove obsolete DM-Upload-Allowed in debian/control
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 May 2013 14:21:41 +0200

mupen64plus-video-arachnoid (1.99.5-1) experimental; urgency=low

  * New Upstream Version
  * Upgraded to policy 3.9.4, no changes required
  * debian/patches:
    - Remove upstream merged gcc_lto.patch and unused_glu.patch

 -- Sven Eckelmann <sven@narfation.org>  Wed, 10 Oct 2012 21:43:24 +0200
