=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-arachnoid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-arachnoid.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 1.99.5),
+ libmupen64plus-dev (>= 2.0),
  pkg-config,
 
 Package: mupen64plus-video-arachnoid
@@ -24,8 +23,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-config-abi-2.2,
- mupen64plus-gfx-abi-2.1,
- mupen64plus-vidext-abi-2,
+ mupen64plus-gfx-abi-2.2,
+ mupen64plus-vidext-abi-3,
 Provides:
  mupen64plus-video,
 Description: Arachnoid high-level graphics emulation for mupen64plus
