=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/wahrhaft/mupen64plus-video-arachnoid/downloads/ \
	/wahrhaft/mupen64plus-video-arachnoid/downloads/mupen64plus-video-arachnoid-src-(.*).tar.gz
